Subject: RE: TR:

From: Noé Lopez <[email-masked]>
Date: Wed, 18 Dec 2024 00:22:08 +0100

outlook user <[email-masked]> writes:

> ________________________________________
> De : Noé Lopez <[email-masked]>
> Envoyé : mardi 17 décembre 2024 17:46
> À : outlook user <[email-masked]>
> Objet : Re: TR:
>  
> outlook user <[email-masked]> writes:
>
> ________________________________
> De : outlook user <[email-masked]>
> Envoyé : mardi 17 décembre 2024 16:09
> À : [email-masked] <[email-masked]>
> Objet :
>
>> > ```shell
>> > guix shell --container --emulate-fhs # zen: No such file or directory
>> > --network # Hmm. We’re having trouble finding that site.
>> > --preserve='^MOZ_ENABLE_WAYLAND' --preserve='^XDG_SESSION_TYPE'  --preserve='^QT_QPA_PLATFORM' # --preserve='^GDK_BACKEND' # Warning: Ignoring XDG_SESSION_TYPE=wayland on Gnome. Use QT_QPA_PLATFORM=wayland to run on Wayland anyway. qt.qpa.plugin: Could not find the Qt platform plugin "wayland" in ""
>> > --preserve='^DISPLAY' # Error: no DISPLAY environment variable specified
>> > --preserve='^XAUTHORITY' --share=/run/user/1000/.mutter-Xwaylandauth.* # Authorization required, but no authorization protocol specified
>> > --share=/tmp/.X11-unix/X0 # Error: cannot open display: :0
>> > grep coreutils # AppRun: line : command not found
>> > gcc-toolchain gtk+ alsa-lib # zen: error while loading shared libraries: lib: cannot open shared object file: No such file or directory
>> >  -- .local/share/AppImage/ZenBrowser.AppImage # : No such file or directory
>> > --appimage-extract-and-run # fuse: failed to exec fusermount: Permission denied
>> > ```
>> >
>> > Is there any way to optimize that? Like creating an scm to install actual files instead of an AppImage to avoid fuse hassle, or running it without emulating FHS to get access to system `grep coreutils gcc-toolchain gtk+ alsa-lib`, or using per default WayLand to avoid all the x11 hassle, or lighter packages than `grep coreutils gcc-toolchain gtk+ alsa-lib`, or to make work fuse to avoid extraction
>> 
>> To make fuse work, add the “fuse” package to your shell, maybe “fuse@2”.
> ```shell
> $ guix shell fuse -- .local/share/AppImage/ZenBrowser.AppImage
> fuse: failed to exec fusermount: Permission denied
>
> Cannot mount AppImage, please check your FUSE setup.
> You might still be able to extract the contents of this AppImage 
> if you run it with the --appimage-extract option. 
> See https://github.com/AppImage/AppImageKit/wiki/FUSE 
> for more information
> open dir error: No such file or directory
> ```
>

Odd, since fusermount is contained in the fuse package.

>> 
>> To get it working outside of FHS container it’s complicated, you can use
>> --appimage-extract to have the files deposited in a local directory
>> named squashfs-root, but you will have to patch the binaries’
>> interpreter path with patchelf.
> Yeah but like you said it's complicated (obiously more than the command I shared) and it's not AppImage anymore
>
>>   Alternatively, Zen browser publishes a tar, which
>> should be easier both with the container and without.
> Better install it with an scm if it's not to use AppImage. But do you have instructions to make work the tar?
>

I don’t know how to do that.

>> 
>> The best thing to do would of course be to package it inside guix,
>> following icecat or librewolf’s example.
> Exactly, I tried many times on my side but it's really difficult. Many way to skin a cat plus each software is it's own adventure even if you can take basis on sister package
>

Yeah, the browser packages look really complex.  Good luck to you if you
decide to continue that route :)